Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class Tray

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Tray

public class Tray
extends Widget

Instances of this class represent the system tray that is part of the task bar status area on some operating systems.

Styles:
  (none)
Events:
  (none)

IMPORTANT: This class is not intended to be subclassed.

Since:
  3.0
See Also:
  `Display.getSystemTray()`

Method Summary
`TrayItem` | `getItem(int index)` Returns the item at the given, zero-relative index in the receiver.
`int` | `getItemCount()` Returns the number of items contained in the receiver.
`TrayItem[]` | `getItems()` Returns an array of `TrayItem`s which are the items in the receiver.

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getItem

    public TrayItem getItem(int index)

  Returns the item at the given, zero-relative index in the receiver. Throws an exception if the index is out of range.

  Parameters:
    `index` - the index of the item to return
  Returns:
    the item at the given index
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the list minus 1 (inclusive)
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getItemCount

    public int getItemCount()

  Returns the number of items contained in the receiver.

  Returns:
    the number of items
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getItems

    public TrayItem[] getItems()

  Returns an array of `TrayItem`s which are the items in the receiver.

  Note: This is not the actual structure used by the receiver to maintain its list of items, so modifying the array will not affect the receiver.

  Returns:
    the items in the receiver
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.